---
title: refY
slug: Web/SVG/Attribute/refY
tags:
  - NeedsBrowserCompatibility
  - NeedsExample
---
<div>{{SVGRef}}</div>

<p>The <strong><code>refY</code></strong> attribute defines the y coordinate of an element’s reference point.</p>

<p>Two elements are using this attribute: {{SVGElement("marker")}} and {{SVGElement("symbol")}}</p>

<h2 id="marker">marker</h2>

<p>For {{SVGElement("marker")}}, <code>refY</code> defines the y coordinate of the marker’s reference point, which is to be placed exactly at the marker’s position on the shape.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("length-percentage")}} | {{cssxref("number")}} | <code>top</code> | <code>center</code> | <code>bottom</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;length-percentage&gt;</code></dt>
 <dd>Lengths are interpreted as being in the coordinate system of the marker contents, after application of the {{SVGAttr("viewBox")}} and {{SVGAttr("preserveAspectRatio")}} attributes.<br>
 <br>
 Percentage values are interpreted as being a percentage of the {{SVGAttr("viewBox")}} height.</dd>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>Numbers are interpreted as being in the coordinate system of the marker contents, after application of the {{SVGAttr("viewBox")}} and {{SVGAttr("preserveAspectRatio")}} attributes.</dd>
 <dt><code>top</code></dt>
 <dd>The reference point of the marker is placed at the top edge of the shape.</dd>
 <dt><code>center</code></dt>
 <dd>The reference point of the marker is placed at the vertical center of the shape.</dd>
 <dt><code>bottom</code></dt>
</dl>

<p>The reference point of the marker is placed at the bottom edge of the shape.</p>

<h2 id="symbol">symbol</h2>

<p>For {{SVGElement("symbol")}}, <code>refY</code> defines the y coordinate of the symbol, which is defined by the cumulative effect of the {{SVGAttr("y")}} attribute and any transformations on the {{SVGElement("symbol")}} and its host {{SVGElement("use")}} element.</p>

<p>Unlike other positioning attributes, <code>refY</code> is interpreted as being in the coordinate system of the symbol contents, after application of the {{SVGAttr("viewBox")}} and {{SVGAttr("preserveAspectRatio")}} attributes. If the attribute is not specified, no vertical adjustment is made, and the top side of the symbol’s rectangular viewport region (regardless of the <code>viewBox</code> coordinate) is positioned at the <span class="prop-value">y coordinate</span>.</p>

<p class="note">For backwards compatibility, the behavior when <code>refY</code> is not specified on a <code>&lt;symbol&gt;</code> element is different from when it is specified with a value of <code>0</code>, and therefore different from the behavior when an equivalent attribute is not specified on a {{SVGElement("marker")}} element.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("length")}} | <code>top</code> | <code>center</code> | <code>bottom</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td>None</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;length-percentage&gt;</code></dt>
 <dd>Lengths are interpreted as being in the coordinate system of the marker contents, after application of the {{SVGAttr("viewBox")}} and {{SVGAttr("preserveAspectRatio")}} attributes.<br>
 <br>
 Percentage values are interpreted as being a percentage of the {{SVGAttr("viewBox")}} height.</dd>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>Numbers are interpreted as being in the coordinate system of the marker contents, after application of the {{SVGAttr("viewBox")}} and {{SVGAttr("preserveAspectRatio")}} attributes.</dd>
 <dt><code>top</code></dt>
 <dd>The reference point of the marker is placed at the top edge of the shape.</dd>
 <dt><code>center</code></dt>
 <dd>The reference point of the marker is placed at the vertical center of the shape.</dd>
 <dt><code>bottom</code></dt>
 <dd>The reference point of the marker is placed at the bottom edge of the shape.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "painting.html#MarkerElementRefYAttribute", "refY")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Added keywords <code>left</code>, <code>center</code>, and <code>right</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "struct.html#SymbolElementRefYAttribute", "refY")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Initial definition for <code>&lt;symbol&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "painting.html#MarkerElementRefYAttribute", "refY")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;marker&gt;</code></td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGAttr("refX")}}</li>
</ul>
